WPSDocument.h File Reference
`#include <librevenge/librevenge.h>`

Go to the source code of this file.

## Classes
class | libwps::WPSDocument
| This class provides all the functions an application would need to parse Works documents. More...

## Namespaces
namespace | libwps

## Macros
#define | WPSLIB

## Enumerations
enum | libwps::WPSConfidence { libwps::WPS_CONFIDENCE_NONE =0 , libwps::WPS_CONFIDENCE_EXCELLENT , libwps::WPS_CONFIDENCE_SUPPORTED_ENCRYPTION }
enum | libwps::WPSCreator { libwps::WPS_MSWORKS =0 , libwps::WPS_LOTUS , libwps::WPS_QUATTRO_PRO , libwps::WPS_SYMPHONY , libwps::WPS_RESERVED_0 , libwps::WPS_RESERVED_1 , libwps::WPS_RESERVED_2 , libwps::WPS_RESERVED_3 , libwps::WPS_RESERVED_4 , libwps::WPS_RESERVED_5 , libwps::WPS_RESERVED_6 , libwps::WPS_RESERVED_7 , libwps::WPS_RESERVED_8 , libwps::WPS_MSWRITE =WPS_RESERVED_0 , libwps::WPS_DOSWORD =WPS_RESERVED_1 , libwps::WPS_MULTIPLAN =WPS_RESERVED_2 , libwps::WPS_XYWRITE =WPS_RESERVED_3 , libwps::WPS_POCKETWORD =WPS_RESERVED_4 }
enum | libwps::WPSKind { libwps::WPS_TEXT =0 , libwps::WPS_SPREADSHEET , libwps::WPS_DATABASE }
enum | libwps::WPSResult { libwps::WPS_OK , libwps::WPS_ENCRYPTION_ERROR , libwps::WPS_FILE_ACCESS_ERROR , libwps::WPS_PARSE_ERROR , libwps::WPS_OLE_ERROR , libwps::WPS_UNKNOWN_ERROR }

## Macro Definition Documentation

## ◆ WPSLIB

#define WPSLIB

Referenced by libwps::WPSDocument::isFileFormatSupported(), libwps::WPSDocument::parse(), and libwps::WPSDocument::parse().